/* [data-component-id="mid:footer"] {
 
} */

.footer-block {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  justify-content: space-between;
  padding-top: var(--base);
}

.footer-block--left {
  position: relative;
  padding-right: var(--xxl);
}

.footer-block--left::before {
  content: '';
  position: absolute;
  height: 100%;
  top: 0;
  right: 0;
  bottom: 0;
  width: 0.5rem;
  background-color: var(--secondary);
  border-radius: var(--xxl);
}

.footer-block--left--text-1 {
  font-weight: var(--font-bold);
  font-size: 2rem;
  line-height: 140%;
  margin-bottom: var(--lg);
  text-transform: uppercase;
}

.footer-block--left--text-2 {
  font-weight: var(--font-light);
  font-size: var(--md);
  line-height: 140%;
}

.footer-block--right {
  padding-left: var(--xxl);
}

.footer-block--right--text-1 {
  font-weight: var(--font-light);
  font-size: var(--md);
  line-height: 140%;
  border-bottom: 2px solid var(--secondary);
  padding-bottom: var(--lg);
  margin-bottom: var(--lg);
}

.footer-block--right--text-2 {
  font-weight: var(--font-light);
  font-size: var(--md);
  line-height: 140%;
}

.footer-block--right--text-2 a {
  text-decoration: underline;
  text-decoration-color: transparent;
  text-decoration-thickness: 0.15rem;
  text-underline-offset: 0.25rem;
  transition: var(--transition-base);
}

.footer-block--right--text-2 a:hover {
  text-decoration-color: var(--primary);
}

.footer-block .special {
  font-weight: var(--font-bold);
}

/* Mobile footer */
@media only screen and (orientation: portrait) and (min-width: 1px) and (max-width: 999px) {
  .footer-block {
    grid-template-columns: 1fr;
  }

  .footer-block--left::before {
    height: 0.25rem;
    width: 100%;
    top: auto;
    bottom: 0;
  }

  .footer-block--right {
    padding-top: 0;
    padding-left: 0;
  }

  .footer-block--right--text-1 {
    padding-top: var(--lg);
  }
}